LSLOCKS(8)

BEZEICHNUNG
lslocks - lokale Systemsperren auflisten

ÜBERSICHT

lslocks [Optionen]

BESCHREIBUNG

lslocks zeigt Informationen zu allen aktuell gültigen Dateisperren auf einem Linux-System an.

OPTIONEN

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-H, --list-columns
    listet die verfügbaren Spalten auf. Wenn Sie dies zusammen mit --json oder --raw verwenden, erfolgt die Ausgabe in einem maschinenlesbaren Format.

-i, --noinaccessible
    Sperrdateien ignorieren, auf die der aktuelle Benutzer nicht zugreifen kann.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

    Die voreingestellte Liste der Spalten kann erweitert werden, indem Sie die Liste im Format +Liste angeben (beispielsweise lslocks -o +BLOCKER).

--output-all
    gibt alle verfügbaren Spalten aus.

-p, --pid PID
    zeigt nur die Sperren an, die vom Prozess mit dieser Prozesskennung eingerichtet wurden.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-u, --notruncate
    kürzt den Text in Spalten nicht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

AUSGABE

BEFEHL
    Befehlsname des Prozesses, welcher die Sperre eingerichtet hat

PID
    Die Prozess-ID des Prozesses.

TYP
    Typ der Sperre; kann LEASE sein (erzeugt mit fcntl(2)), FLOCK (erzeugt mit flock(2)), POSIX (erzeugt mit fcntl(2) und lockf(3)) oder OFDLCK (erzeugt mit fcntl(2)).

GRÖSSE
    Größe der gesperrten Datei

INODE
    Inode-Nummer.

MAJ:MIN
    Die MAJOR:MINOR-Gerätenummer.

MODUS
    Zugriffsrechte der Sperre (Schreiben, Lesen). Falls der Prozess blockiert ist und auf die Sperre wartet, dann wird dem Modus ein Asterisk (*) angehängt.

M
    gibt an, ob die Sperre obligatorisch ist; 0 bedeutet nein (Sperre ist nur empfohlen), 1 bedeutet ja (siehe fcntl(2)).

START
    relativer Byte-Versatz der Sperre

END
    End-Versatz der Sperre

PATH
    Vollständiger Pfad der Sperre. Wenn keiner gefunden wird oder die Zugriffsrechte zum Lesen des Pfades fehlen, wird der Einhängepunkt des Gerätes angezeigt und "..." an den Pfad angehängt. Der Pfad kann gekürzt sein; verwenden Sie --notruncate, um den vollständigen Pfad ausgeben zu lassen.

BLOCKER
    PID des Prozesses, welcher die Sperre blockiert

HOLDERS
    The holder(s) of the lock. The format of the holder is PID,COMMAND,FD. If a lock is an open file description-oriented lock, there can be more than one holder for the lock. See the NOTES below.

ANMERKUNGEN

Der Befehl lslocks soll den Befehl lslk(8) ersetzen, der ursprünglich von entwickelt und seit 2001 nicht mehr betreut wurde.

"The process holding the lock" for leases, FLOCK locks, and OFD locks is a fake-concept. They are associated with the open file description on which they are acquired. With fork(2) and/or cmsg(3), multiple processes can share an open file description. So the holder process of a lease (or a lock) is not uniquely determined. lslocks shows the one of the holder processes in COMMAND and PID columns.

AUTOREN

SIEHE AUCH

flock(1), fcntl(2), lockf(3)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl lslocks ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.